org.apache.ignite.internal.visor.verify

## Enum CacheFilterEnum

- java.lang.Object
- - java.lang.Enum<CacheFilterEnum>
  - - org.apache.ignite.internal.visor.verify.CacheFilterEnum

All Implemented Interfaces:
  Serializable, Comparable<CacheFilterEnum>

    public enum CacheFilterEnum
    extends Enum<CacheFilterEnum>

Represents a type of cache(s) that can be used for comparing update counters and checksums between primary and backup partitions.

See Also:
  `VerifyBackupPartitionsTaskV2`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL` All.
`DEFAULT` Default - user only, or all caches specified by name.
`NOT_PERSISTENT` Not persistent.
`PERSISTENT` Persistent.
`SYSTEM` System.
`USER` User.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable CacheFilterEnum` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static CacheFilterEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheFilterEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final CacheFilterEnum DEFAULT

Default - user only, or all caches specified by name.

#### SYSTEM

    public static final CacheFilterEnum SYSTEM

System.

#### PERSISTENT

    public static final CacheFilterEnum PERSISTENT

Persistent.

#### NOT_PERSISTENT

    public static final CacheFilterEnum NOT_PERSISTENT

Not persistent.

#### USER

    public static final CacheFilterEnum USER

User.

#### ALL

    public static final CacheFilterEnum ALL

All.

### Method Detail

#### values

    public static CacheFilterEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheFilterEnum c : CacheFilterEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheFilterEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable CacheFilterEnum fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021